%{?nodejs_find_provides_and_requires}

%global packagename git-branch

# Disabling tests, as they don't work well in mock, as there's now per-user
# git config
%global enable_tests 0

Name:		nodejs-git-branch
Version:	2.0.1
Release:	1%{?dist}
Summary:	Get the current branch from the local git repository

License:	MIT
URL:		https://github.com/jonschlinkert/git-branch.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(findup-sync)
BuildRequires:	npm(rimraf)

%if 0%{?enable_tests}
BuildRequires:	git
BuildRequires:	mocha
BuildRequires:	npm(gfc)
%endif

%description
Get the current branch from the local git repository.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# setup the docs
%autosetup -T -D -a 2 -n package

%nodejs_fixdep findup-sync

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
#git config --global user.email "testing@example.net"
#git config --global user.name "John Q. Public"
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md docs/*
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Nov 11 2019 Jared K. Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Initial packaging
